## org.hibernate.tool.hbm2ddl
Class SchemaValidatorTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.hibernate.tool.hbm2ddl.SchemaValidatorTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class SchemaValidatorTask

extends org.apache.tools.ant.taskdefs.MatchingTask

An Ant task for `SchemaUpdate`.

     <taskdef name="schemavalidator"
         classname="org.hibernate.tool.hbm2ddl.SchemaValidatorTask"
         classpathref="class.path"/>

     <schemaupdate
         properties="${build.classes.dir}/hibernate.properties"
         <fileset dir="${build.classes.dir}">
             <include name="*.hbm.xml"/>
         </fileset>
     </schemaupdate>

See Also:
  `SchemaValidator`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`SchemaValidatorTask()`

Method Summary
`void` `addFileset(org.apache.tools.ant.types.FileSet set)`
`void` `execute()` Execute the task
`void` `setConfig(File configurationFile)` Set a <literal>.cfg.xml</literal> file
`void` `setNamingStrategy(String namingStrategy)`
`void` `setProperties(File propertiesFile)` Set a properties file

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaValidatorTask

    public SchemaValidatorTask()

Method Detail

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

### setProperties

    public void setProperties(File propertiesFile)

  Set a properties file

  Parameters:
    `propertiesFile` - the properties file name

### setConfig

    public void setConfig(File configurationFile)

  Set a <literal>.cfg.xml</literal> file

  Parameters:
    `configurationFile` - the file name

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the task

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### setNamingStrategy

    public void setNamingStrategy(String namingStrategy)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.